﻿<%@ Application Language="C#" %>

<script RunAt="server">

    const string TELLER_FILE = "Teller.txt";
    
    void Application_Start(object sender, EventArgs e)
    {
        // Code that runs on application startup
        Application["GebruikersOnline"] = 0;
        Application["PadNaarTellerFile"] = Server.MapPath(TELLER_FILE);

        int iTotaal = 0;
        if (System.IO.File.Exists(Application["PadNaarTellerFile"].ToString()))
        {
            using (System.IO.FileStream fs = new System.IO.FileStream(Application["PadNaarTellerFile"].ToString(), System.IO.FileMode.Open))
            {
                System.IO.StreamReader reader = new System.IO.StreamReader(fs);
                string Regel = reader.ReadLine();
                iTotaal = Convert.ToInt32(Regel);     
            }
        }
        Application["TotaalGebruikers"] = iTotaal;
    }

    void Application_End(object sender, EventArgs e)
    {
        //  Code that runs on application shutdown
        int iTotaal = Convert.ToInt32(Application["TotaalGebruikers"]);

        using (System.IO.FileStream fs = new System.IO.FileStream(Application["PadNaarTellerFile"].ToString(), 
            System.IO.FileMode.Truncate, System.IO.FileAccess.ReadWrite))
        {
            System.IO.StreamWriter writer = new System.IO.StreamWriter(fs);
            writer.WriteLine(iTotaal);
            writer.Flush();
        }
    }

    void Application_Error(object sender, EventArgs e)
    {
        // Code that runs when an unhandled error occurs
    }

    void Session_Start(object sender, EventArgs e)
    {
        // Code that runs when a new session is started
        Application.Lock();
        int iOnline = Convert.ToInt32(Application["GebruikersOnline"]);
        int iTotaal = Convert.ToInt32(Application["TotaalGebruikers"]);

        Application["GebruikersOnline"] = ++iOnline;
        Application["TotaalGebruikers"] = ++iTotaal;
        Application.UnLock();
    }

    void Session_End(object sender, EventArgs e)
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

        Application.Lock();
        int iOnline = Convert.ToInt32(Application["GebruikersOnline"]);
        Application["GebruikersOnline"] = --iOnline;
        Application.UnLock();
    }
       
</script>

