USE [Visitekaartjes]
GO
/****** Object:  Table [dbo].[Klanten]    Script Date: 10/29/2009 09:27:16 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Klanten](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Voornaam] [nvarchar](50) NOT NULL,
	[Achternaam] [nvarchar](50) NOT NULL,
	[Adres] [nvarchar](100) NULL,
	[Huisnummer] [nvarchar](10) NULL,
	[Woonplaats] [nvarchar](50) NULL,
	[Provincie] [int] NOT NULL,
	[Land] [int] NOT NULL,
	[Geslacht] [int] NOT NULL,
	[GeboorteDatum] [date] NOT NULL,
	[Actief] [bit] NOT NULL,
 CONSTRAINT [PK_Klanten] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[Klanten] ON
INSERT [dbo].[Klanten] ([ID], [Voornaam], [Achternaam], [Adres], [Huisnummer], [Woonplaats], [Provincie], [Land], [Geslacht], [GeboorteDatum], [Actief]) VALUES (1, N'Jan', N'Smits', N'Microsoft Road', N'1a', N'Gouda', 7, 1, 1, CAST(0x04F60A00 AS Date), 1)
INSERT [dbo].[Klanten] ([ID], [Voornaam], [Achternaam], [Adres], [Huisnummer], [Woonplaats], [Provincie], [Land], [Geslacht], [GeboorteDatum], [Actief]) VALUES (2, N'Pieter', N'Merkx', N'Dorpsstraat', N'20', N'Vleumingen', 1, 2, 1, CAST(0xA00E0B00 AS Date), 1)
INSERT [dbo].[Klanten] ([ID], [Voornaam], [Achternaam], [Adres], [Huisnummer], [Woonplaats], [Provincie], [Land], [Geslacht], [GeboorteDatum], [Actief]) VALUES (5, N'Anne', N'Joubert', N'Dijkkade', N'100', N'Gansdorp', 4, 1, 2, CAST(0x15010B00 AS Date), 1)
SET IDENTITY_INSERT [dbo].[Klanten] OFF
/****** Object:  Table [dbo].[Bestelling]    Script Date: 10/29/2009 09:27:16 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Bestelling](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[KlantID] [int] NOT NULL,
	[Datum] [datetime] NOT NULL,
	[Status] [int] NOT NULL,
 CONSTRAINT [PK_Bestelling] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[Bestelling] ON
INSERT [dbo].[Bestelling] ([ID], [KlantID], [Datum], [Status]) VALUES (1, 1, CAST(0x00009E1E00233D18 AS DateTime), 0)
INSERT [dbo].[Bestelling] ([ID], [KlantID], [Datum], [Status]) VALUES (2, 1, CAST(0x00009DE1002341C8 AS DateTime), 1)
INSERT [dbo].[Bestelling] ([ID], [KlantID], [Datum], [Status]) VALUES (3, 1, CAST(0x00009E00002342F4 AS DateTime), 0)
INSERT [dbo].[Bestelling] ([ID], [KlantID], [Datum], [Status]) VALUES (4, 2, CAST(0x00009E3D00234420 AS DateTime), 2)
INSERT [dbo].[Bestelling] ([ID], [KlantID], [Datum], [Status]) VALUES (5, 2, CAST(0x00009D0D0023454C AS DateTime), 0)
INSERT [dbo].[Bestelling] ([ID], [KlantID], [Datum], [Status]) VALUES (7, 5, CAST(0x00009D8500236874 AS DateTime), 0)
SET IDENTITY_INSERT [dbo].[Bestelling] OFF
/****** Object:  StoredProcedure [dbo].[KlantenPerLand]    Script Date: 10/29/2009 09:27:16 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[KlantenPerLand]
	@pmLand int
AS
	SELECT dbo.Klanten.Land, COUNT(dbo.Bestelling.ID) AS Aantal_Bestellingen
	FROM dbo.Klanten INNER JOIN
         dbo.Bestelling ON dbo.Klanten.ID = dbo.Bestelling.KlantID
	GROUP BY dbo.Klanten.Land
	HAVING (dbo.Klanten.Land = @pmLand)
GO
/****** Object:  Table [dbo].[Kaarten]    Script Date: 10/29/2009 09:27:16 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Kaarten](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[BestellingID] [int] NOT NULL,
	[Aantal] [int] NOT NULL,
	[KaartDefinitie] [xml] NOT NULL,
 CONSTRAINT [PK_Kaarten] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Default [DF_Bestelling_Datum]    Script Date: 10/29/2009 09:27:16 ******/
ALTER TABLE [dbo].[Bestelling] ADD  CONSTRAINT [DF_Bestelling_Datum]  DEFAULT (getdate()) FOR [Datum]
GO
/****** Object:  Default [DF_Bestelling_Status]    Script Date: 10/29/2009 09:27:16 ******/
ALTER TABLE [dbo].[Bestelling] ADD  CONSTRAINT [DF_Bestelling_Status]  DEFAULT ((0)) FOR [Status]
GO
/****** Object:  Default [DF_Klanten_Geslacht]    Script Date: 10/29/2009 09:27:16 ******/
ALTER TABLE [dbo].[Klanten] ADD  CONSTRAINT [DF_Klanten_Geslacht]  DEFAULT ((1)) FOR [Geslacht]
GO
/****** Object:  Default [DF_Klanten_Actief]    Script Date: 10/29/2009 09:27:16 ******/
ALTER TABLE [dbo].[Klanten] ADD  CONSTRAINT [DF_Klanten_Actief]  DEFAULT ((1)) FOR [Actief]
GO
/****** Object:  ForeignKey [FK_Bestelling_Klanten]    Script Date: 10/29/2009 09:27:16 ******/
ALTER TABLE [dbo].[Bestelling]  WITH CHECK ADD  CONSTRAINT [FK_Bestelling_Klanten] FOREIGN KEY([KlantID])
REFERENCES [dbo].[Klanten] ([ID])
GO
ALTER TABLE [dbo].[Bestelling] CHECK CONSTRAINT [FK_Bestelling_Klanten]
GO
/****** Object:  ForeignKey [FK_Kaarten_Bestelling]    Script Date: 10/29/2009 09:27:16 ******/
ALTER TABLE [dbo].[Kaarten]  WITH CHECK ADD  CONSTRAINT [FK_Kaarten_Bestelling] FOREIGN KEY([BestellingID])
REFERENCES [dbo].[Bestelling] ([ID])
GO
ALTER TABLE [dbo].[Kaarten] CHECK CONSTRAINT [FK_Kaarten_Bestelling]
GO
