﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Data;
using System.Data.SqlClient;

public class Klant
{
    public int ID { get; set; }
    public string Voornaam { get; set; }
    public string Achternaam { get; set; }
    public string Adres { get; set; }
    public string Huisnummer { get; set; }
    public string Woonplaats { get; set; }
    public int Geslacht { get; set; }
    public DateTime GeboorteDatum { get; set; }
    public int Land { get; set; }
    public int Provincie { get; set; }
    public bool Actief { get; set; }
    public string Email { get; set; }

    public Klant()
    {
    }

    public static void Insert(Klant nieuweKlant)
    {
        string sql = "INSERT INTO Klanten(Voornaam, Achternaam, Adres, Huisnummer, Woonplaats, Provincie, Land, Geslacht, GeboorteDatum)" +
        " VALUES (@pmVoornaam, @pmAchternaam, @pmAdres, @pmHuisnummer, @pmWoonplaats, @pmProvincie, @pmLand, @pmGeslacht, @pmGeboorteDatum);" +
        "SELECT @@IDENTITY;";

        using (SqlConnection cn = DataClass.GetConnection())
        {
            SqlCommand com = new SqlCommand(sql, cn);
            com.Parameters.AddWithValue("@pmVoornaam", nieuweKlant.Voornaam);
            com.Parameters.AddWithValue("@pmAchternaam", nieuweKlant.Achternaam);
            com.Parameters.AddWithValue("@pmAdres", nieuweKlant.Adres);
            com.Parameters.AddWithValue("@pmHuisnummer", nieuweKlant.Huisnummer);
            com.Parameters.AddWithValue("@pmWoonplaats", nieuweKlant.Woonplaats);
            com.Parameters.AddWithValue("@pmProvincie", nieuweKlant.Provincie);
            com.Parameters.AddWithValue("@pmLand", nieuweKlant.Land);
            com.Parameters.AddWithValue("@pmGeslacht", nieuweKlant.Geslacht);
            com.Parameters.AddWithValue("@pmGeboorteDatum", nieuweKlant.GeboorteDatum);

            cn.Open();
            int iNewID = Convert.ToInt32(com.ExecuteScalar());
            nieuweKlant.ID = iNewID;
        }
    }

    public static Klant Select(int ID)
    {
        string sql = "SELECT ID, Voornaam, Achternaam, Adres, Huisnummer, Woonplaats, Provincie, Land, Geslacht, GeboorteDatum, Actief FROM Klanten WHERE ID = @pmID";
        Klant oKlant = null;

        using (SqlConnection cn = DataClass.GetConnection())
        {
            SqlCommand com = new SqlCommand(sql, cn);
            com.Parameters.AddWithValue("@pmID", ID);
            cn.Open();
            SqlDataReader reader = com.ExecuteReader();

            if (reader.Read())
            {
                oKlant = new Klant();

                oKlant.ID = ID;
                oKlant.Voornaam = reader.GetString(1);
                oKlant.Achternaam = reader.GetString(2);
                oKlant.Adres = (reader.IsDBNull(3) ? "" : reader.GetString(3));
                oKlant.Huisnummer = (reader.IsDBNull(4) ? "" : reader.GetString(4));
                oKlant.Woonplaats = (reader.IsDBNull(5) ? "" : reader.GetString(5));
                oKlant.Provincie = reader.GetInt32(6);
                oKlant.Land = reader.GetInt32(7);
                oKlant.Geslacht = reader.GetInt32(8);
                oKlant.GeboorteDatum = reader.GetDateTime(9);
                oKlant.Actief = reader.GetBoolean(10);

            }
            return oKlant;
        }
    }
      
    public static void Update(Klant bestaandeKlant)
    {
        string sql = "UPDATE Klanten SET Voornaam = @pmVoornaam, Achternaam = @pmAchternaam, Adres = @pmAdres, " +
            "Huisnummer = @pmHuisnummer, Woonplaats = @pmWoonplaats, Provincie = @pmProvincie, Land = @pmLand, " +
            "Geslacht = @pmGeslacht, GeboorteDatum = @pmGeboorteDatum, Actief = @pmActief " +
            "WHERE ID = @pmID";

        using (SqlConnection cn = DataClass.GetConnection())
        {
            SqlCommand com = new SqlCommand(sql, cn);
            com.Parameters.AddWithValue("@pmID", bestaandeKlant.ID);
            com.Parameters.AddWithValue("@pmVoornaam", bestaandeKlant.Voornaam);
            com.Parameters.AddWithValue("@pmAchternaam", bestaandeKlant.Achternaam);
            com.Parameters.AddWithValue("@pmAdres", bestaandeKlant.Adres);
            com.Parameters.AddWithValue("@pmHuisnummer", bestaandeKlant.Huisnummer);
            com.Parameters.AddWithValue("@pmWoonplaats", bestaandeKlant.Woonplaats);
            com.Parameters.AddWithValue("@pmProvincie", bestaandeKlant.Provincie);
            com.Parameters.AddWithValue("@pmLand", bestaandeKlant.Land);
            com.Parameters.AddWithValue("@pmGeslacht", bestaandeKlant.Geslacht);
            com.Parameters.AddWithValue("@pmGeboorteDatum", bestaandeKlant.GeboorteDatum);
            com.Parameters.AddWithValue("@pmActief", bestaandeKlant.Actief);

            cn.Open();
            int iRecsAffected = com.ExecuteNonQuery();
        }
    }
    
}
