﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class LidWorden : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack && Session["Mand"] != null)
        {
            ViewState["Order"] = true;
        }

        if (!Page.IsPostBack)
        {
            LaadLanden();
        }

        if (Request.QueryString["KlantID"] != null)
        {
            lblWelkom.Text = "Gegevens aanpassen";

            int iKlantID = Convert.ToInt32(Request.QueryString["KlantID"]);
            Klant oKlant = Klant.Select(iKlantID);

            GetData(oKlant);
        }
    }
    
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
        {
            Klant oKlant = new Klant()
            {
                Voornaam = txtFirstName.Text,
                Achternaam = txtLastName.Text,
                Adres = txtStreet.Text,
                Huisnummer = txtHouse.Text,
                Woonplaats = txtCity.Text,
                Geslacht = Convert.ToInt32(radGender.SelectedValue),
                GeboorteDatum = new DateTime(
                    Convert.ToInt32(txtDOBYear.Text),
                    Convert.ToInt32(txtDOBMonth.Text),
                    Convert.ToInt32(txtDOBDay.Text)),
                Land = Convert.ToInt32(ddlLanden.SelectedValue),
                Provincie = Convert.ToInt32(ddlProvincies.SelectedValue),
                Email = txtEmail.Text
            };


            if (Request.QueryString["KlantID"] == null)
            {
                Klant.Insert(oKlant);
            }
            else
            {
                int iKlantID = Convert.ToInt32(Request.QueryString["KlantID"]);
                oKlant.ID = iKlantID;
                Klant.Update(oKlant);
            }
            
            if (Session["mand"] != null)
            {
                Bestelling oOrder = (Bestelling)Session["mand"];
                oOrder.KlantID = oKlant.ID;
            }

            VolgendeActie(oKlant);
        }
    }


    private void GetData(Klant oKlant)
    {
        if (oKlant != null)
        {
            txtFirstName.Text = oKlant.Voornaam;
            txtLastName.Text = oKlant.Achternaam;
            txtStreet.Text = oKlant.Adres;
            txtHouse.Text = oKlant.Huisnummer;
            txtCity.Text = oKlant.Woonplaats;
            radGender.SelectedValue = oKlant.Geslacht.ToString();
            txtDOBYear.Text = oKlant.GeboorteDatum.Year.ToString();
            txtDOBMonth.Text = oKlant.GeboorteDatum.Month.ToString();
            txtDOBDay.Text = oKlant.GeboorteDatum.Day.ToString();
            ddlLanden.SelectedValue = oKlant.Land.ToString();

            LaadProvicies();

            ddlProvincies.SelectedValue = oKlant.Provincie.ToString();
        }
    }

    void VolgendeActie(Klant HuidigeKlant)
    {
        bool bHeeftOrder = false;
        if (ViewState["Order"] != null)
        {
            bHeeftOrder = Convert.ToBoolean(ViewState["Order"]);
        }

        if (bHeeftOrder)
        {
            //Ga naar Kassa
            Response.Redirect("~/Kassa.aspx");
        }
        else
        {
            //Ga naar Bestelpagina
            Response.Redirect(string.Format("~/Default.aspx?Klant={0}", HuidigeKlant.Voornaam + " " + HuidigeKlant.Achternaam));
        }
    }

    void LaadLanden()
    {
        ddlLanden.Items.Add(new ListItem("--- Kies land ---", "0"));
        ddlLanden.Items.Add(new ListItem("Nederland", "1"));
        ddlLanden.Items.Add(new ListItem("België", "2"));

        ddlProvincies.Items.Add(new ListItem("--- Kies provincie ---", "0"));
    }


    protected void ddlLanden_SelectedIndexChanged(object sender, EventArgs e)
    {
        LaadProvicies();
    }

    void LaadProvicies()
    {
        ddlProvincies.Items.Clear();
        ddlProvincies.Items.Add(new ListItem("--- Kies provincie ---", "0"));

        switch (ddlLanden.SelectedValue)
        {
            case "1":
                ddlProvincies.Items.Add(new ListItem("Groningen", "1"));
                ddlProvincies.Items.Add(new ListItem("Friesland", "2"));
                ddlProvincies.Items.Add(new ListItem("Drenthe", "3"));
                ddlProvincies.Items.Add(new ListItem("Overijssel", "4"));
                ddlProvincies.Items.Add(new ListItem("Gelderland", "5"));
                ddlProvincies.Items.Add(new ListItem("Flevoland", "6"));
                ddlProvincies.Items.Add(new ListItem("Zuid-Holland", "7"));
                ddlProvincies.Items.Add(new ListItem("Noord-Holland", "8"));
                ddlProvincies.Items.Add(new ListItem("Utrecht", "9"));
                ddlProvincies.Items.Add(new ListItem("Zeeland", "10"));
                ddlProvincies.Items.Add(new ListItem("Noord-Brabant", "11"));
                ddlProvincies.Items.Add(new ListItem("Limburg", "12"));
                break;

            case "2":
                ddlProvincies.Items.Add(new ListItem("Antwerpen", "1"));
                ddlProvincies.Items.Add(new ListItem("West-Vlaanderen", "2"));
                ddlProvincies.Items.Add(new ListItem("Oost-Vlaanderen", "3"));
                ddlProvincies.Items.Add(new ListItem("Limburg", "4"));
                ddlProvincies.Items.Add(new ListItem("Vlaams-Brabant", "5"));
                ddlProvincies.Items.Add(new ListItem("Luik", "6"));
                ddlProvincies.Items.Add(new ListItem("Luxemburg", "7"));
                ddlProvincies.Items.Add(new ListItem("Namen", "8"));
                ddlProvincies.Items.Add(new ListItem("Waals-Brabant", "9"));
                ddlProvincies.Items.Add(new ListItem("Henegouwen", "10"));
                break;

            default:
                break;
        }
    }

}

