﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.IO;

public partial class Beheer_Paginas : System.Web.UI.Page
{
    
    protected void Page_Load(object sender, EventArgs e)
    {
        TreeView tvFiles = new TreeView();

        string sPath = Server.MapPath("~");
        DirectoryInfo dirInfo = new DirectoryInfo(sPath);
        tvFiles.Nodes.Add(new TreeNode("Webapplicatie"));
        FindFilesAndFolders(dirInfo, tvFiles.Nodes[0]);

        PlaceHolder1.Controls.Add(tvFiles);
    }

    void FindFilesAndFolders(DirectoryInfo dirInfo, TreeNode nod)
    {
        var queryFiles =
            from f in dirInfo.GetFiles("*.aspx")
            orderby f.Name ascending
            select f;

        //Voeg alle files toe in deze map:

        foreach (FileInfo item in queryFiles)
        {
            TreeNode nodPagina = new TreeNode(item.Name);
            nodPagina.ImageUrl = "~/App_Themes/MyTheme/Images/Pagina.png";
            nod.ChildNodes.Add(nodPagina);
        }


        //Onderzoek nu alle andere mappen:
        var queryFolders =
            from d in dirInfo.GetDirectories()
            orderby d.FullName
            select d;

        foreach (DirectoryInfo dFolder in queryFolders)
        {
            TreeNode nodMap = new TreeNode(dFolder.Name);
            nodMap.ImageUrl = "~/App_Themes/MyTheme/Images/Map.png";
            nod.ChildNodes.Add(nodMap);

            FindFilesAndFolders(dFolder, nodMap);
        }
    }

}
