﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Drawing;

//NEW
using System.Data.SqlClient;
using System.Data;

public class Kaart
{
    public Kaart()
    {
        KaartID = Guid.NewGuid();
    }

    public enum OrientatieEnum { Landscape, Portrait }
    
    public OrientatieEnum Orientatie { get; set; }
    public Color KaartKleur { get; set; }
    public string KaartTekst { get; set; }
    public int Aantal { get; set; }

    //private Guid mgGuid;

    //public Guid KaartID
    //{
    //    get
    //    {
    //        return mgGuid;
    //    }
    //}
    public Guid KaartID { get; set; }

    //NEW
    public int BestellingID { get; set; }
    public string KaartDefinitie { get; set; }


    //NEW
    public static void Insert(Kaart nieuweKaart)
    {
        string sql = "INSERT INTO Kaarten(BestellingID, Aantal, KaartDefinitie)" +
        " VALUES (@pmBestellingID, @pmAantal, @pmKaartDefinitie);";

        using (SqlConnection cn = DataClass.GetConnection())
        {
            SqlCommand com = new SqlCommand(sql, cn);
            com.Parameters.AddWithValue("@pmBestellingID", nieuweKaart.BestellingID);
            com.Parameters.AddWithValue("@pmAantal", nieuweKaart.Aantal);
            com.Parameters.AddWithValue("@pmKaartDefinitie", "<tijdelijk/>");   //XML zullen we later implementeren

            cn.Open();
            com.ExecuteScalar();
        }
    }

    //NEW
    public static void Update(Kaart oudeKaart)
    {
        string sql = "UPDATE Kaarten SET BestellingID = @pmBestellingID, Aantal = @pmAantal" +
        " WHERE ID = @pmKaartID";

        using (SqlConnection cn = DataClass.GetConnection())
        {
            SqlCommand com = new SqlCommand(sql, cn);
            com.Parameters.AddWithValue("@pmBestellingID", oudeKaart.BestellingID);
            com.Parameters.AddWithValue("@pmAantal", oudeKaart.Aantal);
            com.Parameters.AddWithValue("@pmKaartID", oudeKaart.KaartID);


            cn.Open();
            com.ExecuteScalar();
        }
    }

    //NEW 
    public static DataTable SelectAll(int BestellingID)
    {
        string sql = "SELECT ID AS KaartID, BestellingID, Aantal, KaartDefinitie FROM Kaarten" +
            " WHERE BestellingID = @pmBestellingID";

        DataTable dt = new DataTable();

        using (SqlConnection cn = DataClass.GetConnection())
        {
            SqlDataAdapter da = new SqlDataAdapter(sql, cn);
            da.SelectCommand.Parameters.AddWithValue("@pmBestellingID", BestellingID);
            da.Fill(dt);

            return dt;
        }
    }

   
}
